| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2Transform Struct Reference

`#include <b2Math.h>`

## Public Member Functions
| b2Transform ()
| The default constructor does nothing.
| b2Transform (const b2Vec2 &position, const b2Rot &rotation)
| Initialize using a position vector and a rotation.
void | SetIdentity ()
| Set this to the identity transform.
void | Set (const b2Vec2 &position, float32 angle)
| Set this based on the position and angle.

## Public Attributes
b2Vec2 | p
b2Rot | q

## Detailed Description

A transform contains translation and rotation. It is used to represent the position and orientation of rigid frames.

The documentation for this struct was generated from the following file:

- b2Math.h